import request from '@/utils/request'

// 查询规则引擎列表
export function listEngine(query) {
  return request({
    url: '/rule_engine/engine/list',
    method: 'get',
    params: query
  })
}

// 查询规则引擎详细
export function getEngine(id) {
  return request({
    url: '/rule_engine/engine/' + id,
    method: 'get'
  })
}

// 新增规则引擎
export function addEngine(data) {
  return request({
    url: '/rule_engine/engine',
    method: 'post',
    data: data
  })
}

// 修改规则引擎
export function updateEngine(data) {
  return request({
    url: '/rule_engine/engine/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除规则引擎
export function delEngine(id) {
  return request({
    url: '/rule_engine/engine/' + id,
    method: 'delete'
  })
}
